# 37. Query: „SatelliteImages“ im definierten Intervall abrufen

Hole „SatelliteImages“ im definierten Zeitraum (`vor` und `nach` die Daten).

Filter `vor` und `nach` gehören zu [AWSDate](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html).&#x20;

Es ist möglich, nur einen der Filter zu verwenden.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
Abfrage GetFieldSatelliteImagesWithDateFilter {
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    userUuid
    name
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      name
      Erstellungsdatum
      area(unit: HECTARES)
      satelliteImages(after: "2019-06-10" before:  "2019-07-10"){
         satelliteImage{
          acquisitionDate
          provider
         }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/uberblick-uber-geopard-api-anfragen/37.-query-satelliteimages-im-definierten-intervall-abrufen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
